LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Other *NIX Forums > AIX
User Name
Password
AIX This forum is for the discussion of IBM AIX.
eserver and other IBM related questions are also on topic.

Notices


Reply
  Search this Thread
Old 03-02-2020, 11:18 AM   #1
stucker1
LQ Newbie
 
Registered: Nov 2014
Posts: 5

Rep: Reputation: Disabled
rpmlib dependency


I am on AIX 6.1 TL 7. I am trying to install ncurses -6.1-2, which I downloaded from https://www.ibm.com/support/pages/ai...ions-downloads

I get the following error using smit install:

"error: failed dependencies:
rpmlib(PartialHardlinkSets) <= 4.0.4-1 is needed by ncurses-6.1-2"

I have checked and my rpm version is 3.0.5, but I don't see rpmlib installed as a fileset (I am not even sure it is a separate fileset).

I have looked all over and so far have found no solution. I am not sure if I need to find rpmlib, or do something with rpm itself.

I have run /usr/sbin/updtvpkg but still get the same error trying to install ncurses.

Any help resolving this issue would be greatly appreciated.
 
Old 03-03-2020, 11:00 PM   #2
NevemTeve
Senior Member
 
Registered: Oct 2011
Location: Budapest
Distribution: Debian/GNU/Linux, AIX
Posts: 4,014

Rep: Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444Reputation: 1444
It wants a newer `rpm`. Mind you, the newer rpm might have more dependencies, also it might be incompatible with older *.rpm packages. Nonetheless, it worth a try, especially if you can restore the previous state if things go wrong.

Off: is ncurses needee by some other package? Aix does have a curses implementation, though most likely less advanced than ncurses.

Last edited by NevemTeve; 03-04-2020 at 01:48 AM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Prolblem with rpmlib(FileDigests) and rpmlib(PayloadIsXz) jamiljimy1 Linux - Newbie 1 03-25-2015 11:29 PM
Prolblem with rpmlib(FileDigests) and rpmlib(PayloadIsXz) jartal Red Hat 5 09-30-2011 02:35 AM
Update System with Urpmi, rpmlib(Lua...) dependency problem GT_Onizuka Mandriva 3 01-01-2008 10:15 AM
Mandrake 10.0 Community - rpmlib(CompressedFileNames)?? MindTheGap76 Linux - Newbie 4 08-18-2004 08:38 PM
rpmlib ras123 Linux - Newbie 1 05-13-2004 02:27 PM

LinuxQuestions.org > Forums > Other *NIX Forums > AIX

All times are GMT -5. The time now is 07:50 AM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration